#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#include "../component_physics.h"
#include "../stat/component_allegiance.h"
#include "../stat/component_health.h"

typedef struct ComponentActionDamage
{
	ECSComponent component;
	AllegianceType type;
	u32 value;
} ComponentActionDamage;

void component_action_damage_init(ComponentActionDamage* self, AllegianceType type, u32 value);
void component_action_damage_tick(ComponentActionDamage* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_ACTION_DAMAGE_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_action_damage_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_ACTION_DAMAGE,
	.size = sizeof(ComponentActionDamage)
};


