#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#include "../component_physics.h"

typedef struct ComponentActionDeleteOnTouch
{
	ECSComponent component;
	u32 id;
} ComponentActionDeleteOnTouch;

void component_action_delete_on_touch_init(ComponentActionDeleteOnTouch* self, u32 touchID);
void component_action_delete_on_touch_tick(ComponentActionDeleteOnTouch* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_ACTION_DELETE_ON_TOUCH_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_action_delete_on_touch_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_ACTION_DELETE_ON_TOUCH,
	.size = sizeof(ComponentActionDeleteOnTouch)
};


