#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"
#include "../../../input/input.h"
#include "../action/component_action_shoot.h"
#include "../stat/component_ammo.h"

typedef struct ComponentControlShoot
{
	ECSComponent component;
	u32 cooldownMax;
	u32 cooldown;
} ComponentControlShoot;

void component_control_shoot_init(ComponentControlShoot* self, u32 cooldown);
void component_control_shoot_tick(ComponentControlShoot* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_CONTROL_SHOOT_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			NULL,
			NULL, 
			(ECSFunction)component_control_shoot_tick,
			NULL
		}
	},
	.type = ECS_COMPONENT_CONTROL_SHOOT,
	.size = sizeof(ComponentControlShoot)
};
