#pragma once

#include "../STATE_COMMON.h"

#include "../../ecs/ecs.h"

#include "../../ecs/entity/play/entity_player.h"

static const vec3 PLAY_PLAYER_POSITION = {600.0f, 400.0f, 0.0f};

#define PLAY_SHADER_COUNT 2
static const ShaderType PLAY_SHADERS[PLAY_SHADER_COUNT] =
{
	SHADER_TEXTURE_QUAD,
	SHADER_COLOR_QUAD
};

#define PLAY_TEXTURE_COUNT 2
static const TextureType PLAY_TEXTURES[PLAY_TEXTURE_COUNT] =
{
	TEXTURE_PLAYER,
	TEXTURE_SNAKE
};

void play_init(Play* play, State* state);
