#version 330 core
layout (location = 0) in vec3 lPosition;
layout (location = 1) in vec2 lUV;

uniform mat4 uModel;
uniform mat4 uProjection;
uniform mat4 uView;

out vec2 iUV;

void main()
{
	gl_Position = uProjection * uView * uModel * vec4(lPosition, 1.0);
	iUV = lUV;
}
