#pragma once

#include "../../ecs_component.h"
#include "../../component/component_game_object.h"

#define SWING_SPEED 1
#define SWING_FRICTION 1
#define SWING_VELOCITY_MAX 0

static const vec2 SWING_SIZE = {25.0f, 25.0f};
static const vec2 SWING_PHYSICS_SIZE = {25.0f, 25.0f};
static const vec3 SWING_OFFSET = {0.0f, -50.0f, 0.0f};

void entity_swing_init(ECS* ecs, u32 id, vec3 position, u32 sender);
